#import "animator.h"

@implementation animator
- (void)awakeFromNib
{
	CATextLayer *textLayer=[CATextLayer layer];			//	テキストレイヤ作成
	textLayer.string = @"Test Text";					//	表示する文字列
	textLayer.font = @"Lucida-Grande";					//	フォント
	textLayer.fontSize = 48;							//	文字の大きさ
	textLayer.foregroundColor=CGColorCreateGenericRGB(1.0,0.25,0.5,1.0);	//	文字色
	textLayer.frame = CGRectMake(200, 200, 300, 50);		//	レイヤ矩形
    CALayer* baseLayer = [CALayer layer];					// レイヤーを作成する
    [view setLayer:baseLayer];
    [view setWantsLayer:YES];
	[baseLayer addSublayer:textLayer];
	//	回転
	CABasicAnimation* transform_animation = [CABasicAnimation animationWithKeyPath:@"transform"];
	transform_animation.duration = 1.0f;
	transform_animation.autoreverses = YES;
	transform_animation.repeatCount = 8;	
	CATransform3D transform = CATransform3DIdentity;
	transform_animation.fromValue = [NSValue valueWithCATransform3D:transform];	
	transform = CATransform3DMakeRotation(M_PI, 1.0f, 0.0f, 0);
	transform_animation.toValue = [NSValue valueWithCATransform3D:transform];
	[textLayer addAnimation:transform_animation forKey:@"tfAnimation"];	// レイヤにアニメーションを追加する
	//	明滅
	CABasicAnimation* opacity_animation = [CABasicAnimation animationWithKeyPath:@"opacity"];
	opacity_animation.duration = 2.0f;
	opacity_animation.autoreverses = YES;
	opacity_animation.repeatCount = 4;
	opacity_animation.fromValue = [NSNumber numberWithFloat:1.0f];
	opacity_animation.toValue = [NSNumber numberWithFloat:0.0f];	
	[textLayer addAnimation:opacity_animation forKey:@"opAnimation"];	// レイヤにアニメーションを追加する
}

@end
